
Foreman - Bug #1380

/has_many_polymorphs.git (at master) is not checked out. Please run `bundle install`

(Bundler::GitError)

12/07/2011 03:12 PM - Florian Koch

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

fresh installation of develop branch. using sl6.1 and passenger

bundle install says

Your bundle is complete! Use `bundle show [gemname]` to see where a bundled gem is installed.

 If i try to access foreman, i got an error

see attached screenshot

Related issues:

Related to Foreman - Bug #1367: Ensure all gems are defined in Bundler Gemfile Closed 12/04/2011

History

#1 - 12/07/2011 03:33 PM - Florian Koch

The solution is to run bundle install with --development (this is installation system wide / in verndor/rails)

Look here

http://www.ruby-forum.com/topic/213962#947322

mayee the problem is that i run foreman under root and not foreman

#2 - 12/08/2011 05:38 AM - Greg Sutcliffe

I solved this by running "bundle install --path vendor/" in /usr/share/foreman (Debian Squeeze). I need to check if that's a valid method from a clean

Debian install though...

#3 - 12/20/2011 10:41 AM - Oliver Weinmann

Hi,

I'm running Ubuntu 10.04. The fix doesn't work for me. :(

Restarting Apache after:

bundle install --path vendor/

gives me a new error:

Puppet is not missing constant Resource!

#4 - 01/02/2012 05:41 AM - Oliver Weinmann

Thanks to Ohad:
http://www.ruby-forum.com/topic/213962#947322


echo "gem 'puppet'" >> Gemfile

bundle install --path vendor

fixed it.

#5 - 01/03/2012 10:41 AM - Ohad Levy

- Category changed from Power management to Packaging

#6 - 03/14/2012 11:13 AM - Ohad Levy

- Status changed from New to Closed

I'm closing this one, as it seems like it does work for the current compute.

once released, we'll support official packages (somehow) :)
